@echo off
if "%1" == "" goto Usage

for %%f in (*.obj) do timelimt %%f %1
goto End

:Usage
echo Usage:
echo   FDPTime [Percentage change]
echo                                                                                .
echo Function:
echo   Modifies the time allowance per problem for all
echo   the Fraction, Decimal and Percent objectives.
echo   The time allowance for each objective will be
echo   multiplied by the percentage specified.
echo                                                                                .
echo   For example, the default time per problem for
echo   objective 498, in the "Fraction Decimal & %" sequence,
echo   is 15 seconds.  Changing the time by 200% would give
echo   a time limit of 30 seconds per problem.  The command
echo   to make this change is as follows:
echo                                                                                .
echo   fdptime 200

:End
